package sun.net.www.protocol.appletresource;

import java.io.IOException;
import java.io.InputStream;
import java.net.MalformedURLException;
import java.net.URL;
import sun.applet.AppletResourceLoader;
import sun.net.www.URLConnection;

public class AppletResourceConnection extends URLConnection {
   private static boolean debug;
   private Object resource;
   private String base;
   private String member;
   private URL cachedURL;

   protected AppletResourceConnection(URL var1) throws MalformedURLException, IOException {
      super(var1);
      this.debug("AppletResourceConnection(" + var1 + ")");
      String var2 = var1.getFile();
      if (var2.startsWith("/")) {
         var2 = var2.substring(1);
      }

      this.base = var2.substring(0, var2.indexOf("/+/"));
      this.member = var2.substring(var2.indexOf("/+/") + 3);
      this.cachedURL = new URL(this.base + this.member);
      this.debug(" base: " + this.base);
      this.debug(" member: " + this.member);
      this.debug(" cachedURL: " + this.cachedURL);
   }

   public void connect() throws IOException {
      this.debug("Looking for " + this.cachedURL + " in AppletResourceLoader");
      Object var1 = AppletResourceLoader.getLocalResource(this.cachedURL);
      if (var1 == null) {
         this.debug("Invalid resource name");
         this.resource = null;
      } else {
         this.debug("Found resource");
         this.resource = var1;
      }
   }

   public Object getContent() throws IOException {
      if (!super.connected) {
         this.connect();
      }

      return this.resource;
   }

   public InputStream getInputStream() throws IOException {
      if (!super.connected) {
         this.connect();
      }

      return this.resource instanceof InputStream ? (InputStream)this.resource : AppletResourceLoader.getLocalResourceStream(this.cachedURL);
   }

   private void debug(String var1) {
      if (debug) {
         System.err.println(var1);
      }

   }
}
